Bug 768175 - CVE-2011-4612 icecast2: Newline injection in error.log [fedora-all]
CVE-2011-4612 icecast2: Newline injection in error.log [fedora-all]
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: icecast (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2011-4612
  Show dependency treegraph
 
Reported: 2011-12-15 17:44 EST by Vincent Danen
Modified: 2013-01-02 14:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:09:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-12-15 17:44:41 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=768157

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Mike A. Harris 2012-06-11 17:50:41 EDT
icecast 2.3.3 is out which fixes this security flaw, please update soon as the
bug has been public for 6 months.
Comment 2 Gregory Maxwell 2012-07-23 01:55:22 EDT
Bug for 2.3.3 https://bugzilla.redhat.com/show_bug.cgi?id=831180
Comment 3 Fedora End Of Life 2012-08-07 15:16:43 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Gregory Maxwell 2012-08-08 00:06:08 EDT
Pretty awesome that fedora just WONTFIXed a remotely exploitable vulnerability.
Comment 5 Vincent Danen 2012-08-10 13:34:25 EDT
It shouldn't do that.  The EOL bot should be smarter than this.

This is most definitely _not_ fixed yet.  I'm not sure if Andreas is maintaining this or not anymore, but it would be nice if he could perhaps chime in on fixing it.
Comment 6 Andreas Thienemann 2012-08-10 14:49:51 EDT
I agree. The auto close bot and it's handling of stuff is less than suboptimal.

I have a local build which _should_ be fixing the security issue but when I test stream relaying it seems to indicate there's a regression.

Haven't gotten around to looking into this however.

But upgrade is coming...
Comment 7 Thomas Rücker 2012-08-13 12:33:18 EDT
(In reply to comment #6)
> I have a local build which _should_ be fixing the security issue but when I
> test stream relaying it seems to indicate there's a regression.

As upstream we'd be very interested to hear about this. So far we're not aware of any bugs/regressions in this area.
Comment 8 Fedora Update System 2012-10-15 10:43:22 EDT
icecast-2.3.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/icecast-2.3.3-1.fc18
Comment 9 Fedora Update System 2012-10-15 12:02:13 EDT
icecast-2.3.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/icecast-2.3.3-1.el6
Comment 10 Fedora Update System 2012-10-15 12:28:49 EDT
icecast-2.3.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/icecast-2.3.3-1.el5
Comment 11 Fedora Update System 2012-10-15 12:42:31 EDT
icecast-2.3.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icecast-2.3.3-1.fc17
Comment 12 Fedora Update System 2012-10-15 13:37:44 EDT
Package icecast-2.3.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing icecast-2.3.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16130/icecast-2.3.3-1.fc18
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2012-12-20 10:09:06 EST
icecast-2.3.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-01-02 14:07:50 EST
icecast-2.3.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-01-02 14:10:57 EST
icecast-2.3.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.